# Gimp.Gradient.segment_range_delete

    @accepts(Gimp.Gradient, int, int)
    @returns(bool)
    def segment_range_delete(self, start_segment, end_segment):
        # Python wrapper for gimp_gradient_segment_range_delete()

Delete the segment range

Deletes a range of segments. Returns an error when a segment index is out of range, or gradient is not editable. Deleting all the segments is undefined behavior.

Since 2.2

self

  The gradient.

start_segment

  Index of the first segment to operate on.

end_segment

  Index of the last segment to operate on. If negative, the range will extend to the end segment.

Returns